#pragma once

#include "Plot.h"

namespace renderive {

struct Render_Ticket {
    bool rendered{};
    [[nodiscard]] explicit operator bool() const noexcept { return rendered; }
};

class LIB_DECL Explicit_Plot : public Abs_Plot {
public:
    Explicit_Plot();
    ~Explicit_Plot() override = default;
    [[nodiscard]] Render_Ticket replot();
};

} // namespace renderive
